Skip to main content
Rank

Google rank and AI Overview presence for a keyword

View Markdown

Returns where a domain ranks in Google organic results for a keyword, and whether it appears in the Google AI Overview.

POST/v1/rank/

Authorization

accessKey
x-access-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/rank/" \  -H "Content-Type: application/json" \  -d '{    "keyword": "string",    "domain": "string"  }'
{
  "success": true,
  "credits": {
    "charged": 0,
    "remaining": 0
  },
  "data": {
    "keyword": "string",
    "domain": "string",
    "position": null,
    "url": null,
    "ai_overview": {
      "present": true,
      "cited": true
    }
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}